net.sf.jasperreports.export

## Class SimpleTextReportConfiguration

- java.lang.Object
- - net.sf.jasperreports.export.SimpleCommonExportConfiguration
  - - net.sf.jasperreports.export.SimpleReportExportConfiguration
    - - net.sf.jasperreports.export.SimpleTextReportConfiguration

- All Implemented Interfaces:
    CommonExportConfiguration, ReportExportConfiguration, TextReportConfiguration

      public class SimpleTextReportConfiguration
      extends SimpleReportExportConfiguration
      implements TextReportConfiguration

  Version:
    $Id: SimpleTextExporterConfiguration.java 6720 2013-11-11 10:44:07Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Field Summary

    - ### Fields inherited from interface net.sf.jasperreports.export.TextReportConfiguration

      `PROPERTY_CHARACTER_HEIGHT, PROPERTY_CHARACTER_WIDTH, PROPERTY_PAGE_HEIGHT, PROPERTY_PAGE_WIDTH`

    - ### Fields inherited from interface net.sf.jasperreports.export.ReportExportConfiguration

      `PROPERTY_IGNORE_PAGE_MARGINS`

    - ### Fields inherited from interface net.sf.jasperreports.export.CommonExportConfiguration

      `PROPERTY_EXPORT_CONFIGURATION_OVERRIDE_REPORT_HINTS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleTextReportConfiguration()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Float` | `getCharHeight()` Returns a float value representing the pixel/character vertical ratio.
    `java.lang.Float` | `getCharWidth()` Returns a float value representing the pixel/character horizontal ratio.
    `java.lang.Integer` | `getPageHeightInChars()` Returns an integer representing the page height in characters.
    `java.lang.Integer` | `getPageWidthInChars()` Returns an integer representing the page width in characters.
    `void` | `setCharHeight(java.lang.Float charHeight)`
    `void` | `setCharWidth(java.lang.Float charWidth)`
    `void` | `setPageHeightInChars(java.lang.Integer pageHeightInChars)`
    `void` | `setPageWidthInChars(java.lang.Integer pageWidthInChars)`

    - ### Methods inherited from class net.sf.jasperreports.export.SimpleReportExportConfiguration

      `getEndPageIndex, getExporterFilter, getHyperlinkProducerFactory, getOffsetX, getOffsetY, getPageIndex, getProgressMonitor, getStartPageIndex, setEndPageIndex, setExporterFilter, setHyperlinkProducerFactory, setOffsetX, setOffsetY, setPageIndex, setProgressMonitor, setStartPageIndex`

    - ### Methods inherited from class net.sf.jasperreports.export.SimpleCommonExportConfiguration

      `isOverrideHints, setOverrideHints`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.jasperreports.export.ReportExportConfiguration

      `getEndPageIndex, getExporterFilter, getHyperlinkProducerFactory, getOffsetX, getOffsetY, getPageIndex, getProgressMonitor, getStartPageIndex`

    - ### Methods inherited from interface net.sf.jasperreports.export.CommonExportConfiguration

      `isOverrideHints`

- - ### Constructor Detail

    - #### SimpleTextReportConfiguration

          public SimpleTextReportConfiguration()

  - ### Method Detail

    - #### getCharWidth

          public java.lang.Float getCharWidth()

      Description copied from interface: `TextReportConfiguration`
      Returns a float value representing the pixel/character horizontal ratio.
      Specified by:
        `getCharWidth` in interface `TextReportConfiguration`
      See Also:
        `TextReportConfiguration.PROPERTY_CHARACTER_WIDTH`

    - #### setCharWidth

          public void setCharWidth(java.lang.Float charWidth)

    - #### getCharHeight

          public java.lang.Float getCharHeight()

      Description copied from interface: `TextReportConfiguration`
      Returns a float value representing the pixel/character vertical ratio.
      Specified by:
        `getCharHeight` in interface `TextReportConfiguration`
      See Also:
        `TextReportConfiguration.PROPERTY_CHARACTER_HEIGHT`

    - #### setCharHeight

          public void setCharHeight(java.lang.Float charHeight)

    - #### getPageWidthInChars

          public java.lang.Integer getPageWidthInChars()

      Description copied from interface: `TextReportConfiguration`
      Returns an integer representing the page width in characters.
      Specified by:
        `getPageWidthInChars` in interface `TextReportConfiguration`
      See Also:
        `TextReportConfiguration.PROPERTY_PAGE_WIDTH`

    - #### setPageWidthInChars

          public void setPageWidthInChars(java.lang.Integer pageWidthInChars)

    - #### getPageHeightInChars

          public java.lang.Integer getPageHeightInChars()

      Description copied from interface: `TextReportConfiguration`
      Returns an integer representing the page height in characters.
      Specified by:
        `getPageHeightInChars` in interface `TextReportConfiguration`
      See Also:
        `TextReportConfiguration.PROPERTY_PAGE_HEIGHT`

    - #### setPageHeightInChars

          public void setPageHeightInChars(java.lang.Integer pageHeightInChars)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com